Skip to main content
GET
cURL

Authorizations

x-api-key
string
header
required

Query Parameters

cursor
string

Opaque cursor returned by the previous page.

limit
integer
Required range: 1 <= x <= 100
sort_by
enum<string>

Field to sort by. Defaults to created_at.

Available options:
created_at
sort_order
enum<string>

Sort direction. Defaults to descending.

Available options:
asc,
desc
status
enum<string>

Filter tasks by status.

Available options:
NOT_READY,
READY,
COMPLETED,
SKIPPED,
CANCELED
assigned_user_id
string<uuid>

Filter tasks by assignee.

person_id
string<uuid>

Filter tasks by person.

person_email
string<email>

Filter tasks by the person's exact email address. Cannot be combined with person_id. Email matching is case-insensitive.

Response

The request has succeeded.

status
enum<string>
required
Available options:
success
data
object[]
required
next_cursor
string | null
required

Opaque cursor for the next page, or null when there are no more tasks.